Subject: Syncing algorithm improvement

Description

The syncing algorithm doesn't detect server move/rename of an object.

In these cases it will remove the local object and download it again for the new path.

Instead, it can detect that an existing object has the same hash as the new server object,

and just copy it (or move it in case the original is to be deleted).

Associated revisions

Revision 99d0e277 - 11/16/2011 05:39 pm - Antony Chazapis

Add Trash class.
Revision db3c7c26 - 11/18/2011 12:19 pm - Antony Chazapis

Do not download object if a copy is already local or in trash. Reset state if using other parameters.
Revision 3ea35aa0 - 11/21/2011 05:57 pm - Antony Chazapis

Syncing notes.
Syncing notes.

Refs #1495

Revision c0b10ca6 - 12/02/2011 04:20 pm - Giorgos Verigakis

Improve pithos-sync

    -  Do not redownload files that exist locally.

    -  General refactoring to simplify the code.
History

#1 - 10/26/2011 04:14 pm - Antony Chazapis

- Assignee set to Giorgos Verigakis

- Target version set to 0.8.1

#2 - 11/16/2011 01:20 pm - Antony Chazapis

- Target version changed from 0.8.1 to 0.7.10

#3 - 11/18/2011 06:37 pm - Antony Chazapis

- Assignee changed from Giorgos Verigakis to Antony Chazapis

#4 - 11/23/2011 02:22 pm - Antony Chazapis

- Assignee changed from Antony Chazapis to Giorgos Verigakis

#5 - 11/25/2011 06:59 pm - Antony Chazapis

- Target version changed from 0.7.10 to 0.8.0

#6 - 12/02/2011 04:35 pm - Antony Chazapis

- Status changed from New to Closed

- Target version changed from 0.8.0 to 0.8.1

#7 - 02/08/2013 06:59 pm - Vangelis Koukis

- Project changed from Pithos to Synnefo

- Target version deleted (0.8.1)

#8 - 02/08/2013 07:00 pm - Vangelis Koukis

- Category set to Pithos
